### Method

# RB History dump

#### Declaration [src]

    GPtrArray*
    rb_history_dump (
      RBHistory* hist
    )

#### Description [src]

Constructs a copy of the whole history in order. Caller must free the result. The caller does not own any references on the entries in the returned array. Takes O(Nlog(N)) time.

#### Return value

Type: An array of `RhythmDBEntry*`

A copy of the history list.

The caller of the method takes ownership of the returned data container, but not the data inside it.